• Home
  • Features
  • Pricing
  • Docs
  • Announcements
  • Sign In

SpamScope / mail-parser / 36917812629
99%

Build:
DEFAULT BRANCH: develop
Ran 01 Oct 2026 07:57PM UTC
Jobs 1
Files 15
Run time 1min
Badge
Embed ▾
README BADGES
x

If you need to use a raster PNG badge, change the '.svg' to '.png' in the link

Markdown

Textile

RDoc

HTML

Rst

01 Oct 2026 07:55PM UTC coverage: 99.765% (-0.05%) from 99.818%
36917812629

push

github

web-flow
fix: restore RFC 6532 internationalized mailbox parsing (#178)

The forensic scanner introduced for issue #175 restricted atoms to ASCII, dropping valid UTF-8 local parts and domains in 4.7.0. Extend atoms to Unicode scalar values and preserve mailbox identity across byte decoding and whitespace handling.

Retain invalid UTF-8 as explicit defect evidence, including group labels and comments, without losing valid neighbouring mailboxes. Add regression coverage for issue #177 and document the recovery behavior.

Reviewed RFC 5322 sections 3.2-3.4, 4 and 5; RFC 6532 sections 3.1-3.2 and 4; RFC 3629 scalar restrictions; RFC 6854 and applicable errata. Verified conforming UTF-8, obsolete routes, malformed inputs and recovery metadata. The pre-existing isolated-surrogate failure in parse_from_string remains outside this change.

Validation: 951 tests pass on Python 3.13 and 3.14; pre-commit and Pyright pass. Independent security review found no remaining introduced High/Medium findings after malformed-byte fuzzing and bounded scaling probes.

477 of 486 branches covered (98.15%)

3391 of 3399 relevant lines covered (99.76%)

1.0 hits per line

Coverage Regressions

Lines Coverage ∆ File
6
97.37
0.12% mailparser/addresses.py
2
99.48
-0.52% mailparser/utils.py
Jobs
ID Job ID Ran Files Coverage
1 36917812629.1 01 Oct 2026 07:57PM UTC 15
99.76
GitHub Action Run
Source Files on build 36917812629
  • Tree
  • List 15
  • Changed 2
  • Source Changed 0
  • Coverage Changed 2
Coverage ∆ File Lines Relevant Covered Missed Hits/Line Branch Hits Branch Misses
  • Back to Repo
  • Github Actions Build #36917812629
  • 86c74af1 on github
  • Prev Build on develop (#36781857630)
  • Next Build on develop (#36918493392)
STATUS · Troubleshooting · Open an Issue · Sales · Support · CAREERS · ENTERPRISE · START FREE TRIAL · SCHEDULE DEMO
ANNOUNCEMENTS · TWITTER · TOS & SLA · Supported CI Services · What's a CI service? · Automated Testing

© 2026 Coveralls, Inc